
Foreman - Refactor #15037

Improve editable elements

05/12/2016 06:33 PM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Settings   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3523

  

Description

Foreman uses Jeditable jquery plugin for editable elements.

This plugin is unmaintained, and lack of some features.

A better alternative is x-editable, well maintained and supports much more inputs:

text

textarea

select

date

datetime

dateui

combodate

html5types

checklist

wysihtml5

typeahead

typeaheadjs

select2

Related issues:

Related to Katello - Bug #15832: Red Hat Repositories page not loading Closed 07/25/2016

Related to Foreman - Bug #16075: Changing any setting fails: Invalid authenti... Closed 08/11/2016

Associated revisions

Revision d1635077 - 07/21/2016 02:12 PM - Amir Fefer

Fixes #15037 - Improves editable elements in settings

Revision 42917573 - 07/22/2016 03:11 AM - Dominic Cleal

refs #15037 - require rubygem-x-editable-rails

History

#1 - 05/12/2016 09:14 PM - Amir Fefer

- Category set to Settings

#2 - 05/12/2016 09:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3523 added

#3 - 07/21/2016 03:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset d163507797c5d9c20249aa4d858465cbb74be229.

#4 - 07/22/2016 05:02 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#5 - 07/27/2016 02:58 PM - Andrew Kofink

- Related to Bug #15832: Red Hat Repositories page not loading added

#6 - 08/12/2016 08:40 AM - Dominic Cleal

- Related to Bug #16075: Changing any setting fails: Invalid authenticity token added

#7 - 11/09/2016 04:45 AM - Dominic Cleal

Please note that a stored XSS vulnerability has been identified in Foreman 1.11.0 to 1.12.4 identified as CVE-2016-8639 (details on 

https://theforeman.org/security.html soon) that has been fixed by this refactoring. It was originally introduced in #13721.
